# Generated by Django 2.1.5 on 2019-02-01 18:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Diocese',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='Municipio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=500)),
                ('diocese',
                 models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='municipios.Diocese')),
            ],
        ),
        migrations.CreateModel(
            name='Regiao',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='RegiaoImediata',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='RegiaoIntermediaria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='UF',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=500)),
                ('sigla', models.CharField(max_length=500)),
                ('regiao',
                 models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='municipios.Regiao')),
            ],
        ),
        migrations.AddField(
            model_name='regiaointermediaria',
            name='uf',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='municipios.UF'),
        ),
        migrations.AddField(
            model_name='regiaoimediata',
            name='regiao_intermediaria',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    to='municipios.RegiaoIntermediaria'),
        ),
        migrations.AddField(
            model_name='municipio',
            name='regiao_imediata',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    to='municipios.RegiaoImediata'),
        ),
        migrations.AddField(
            model_name='municipio',
            name='uf',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='municipios.UF'),
        ),
    ]
